<div class="wrapper">
    <div class="migrations">
        <div class="reg-form">
            <div class="form-heading">WordPress Migration</div>
            <p>Übertrage die gesamte Website zu einem Hoster, um sie dauerhaft zu speichern und mit einer Domain zu verbinden. Die Migration erfolgt über einen Server von Blogvault, einem US-Unternehmen. Nach der Migration wird die Verbindung wieder aufgehoben. </p>
            <div class="form-fields">
                <form id="mgform" dummy=">" action="<?php echo esc_url($this->bvinfo->appUrl()); ?>/migration/migrate" onsubmit="document.getElementById('migratesubmit').disabled = true;" method="post" name="signup">
                    <?php $this->showErrors(); ?>
                    <input type="text" id="email" name="email" placeholder="Deine E-Mail-Adresse" style="float:left;">
                    <input type="submit" name="submit" id='migratesubmit' value="Migrate Site" class="primary-button" class="btn btn-primary" disabled>
                    <div class="tnc-check">
                        <label class="">
                            <input type="checkbox" name="consent" onchange="document.getElementById('migratesubmit').disabled = !this.checked;" value="1" autocomplete="off"/>
                            <span class="checkmark"></span>&nbsp;
                            Ich stimme den <a href="https://blogvault.net/tos/" class="link" target="_blank">Nutzungsbedingungen&nbsp;</a> und der <a href="https://blogvault.net/privacy/" class="link" target="_blank">Datenschutzbestimmung</a> von Blogvault zu
                        </label>
                        <input type="hidden" name="bvsrc" value="wpplugin" />
                        <input type="hidden" name="origin" value="migrateguru" />
                    </div>
                    <?php echo $this->siteInfoTags(); ?>
                </form>
            </div>
        </div>
    </div>

    <?php
    $domain = $_SERVER['HTTP_HOST'];
    if (strpos($domain, 'wordpress.website-tutor.de') === false) {
        ?>
        <div id="show-migration-key-text">Migration-Key generieren</div>
        <div class="migration-key-generator">
            <div class="action">
                <span class="key-title">Kopieren den Key (Symbol rechts im Feld)</span>
            </div>
            <div class="key-wrapper">
						<span class="key-text">
							<?php echo esc_html($this->getApiKey()); ?>
						</span>
                <span class="copy-btn" onclick="navigator.clipboard.writeText(document.getElementsByClassName('key-text')[0].innerText);">
							<img style="width: 100%;" src="<?php echo esc_url(plugins_url('./../img/copy.png', __FILE__)); ?>" />
						</span>
            </div>
        </div>
    <?php
    }
    ?>

    </div>
</div>
<script>
    document.getElementById("show-migration-key-text").onclick = e => {
        document.getElementsByClassName("migration-key-generator")[0].style.display = 'flex'
        e.target.style.display = 'none'
    }
</script>